#!/usr/local/bin/bash

if [ -x /usr/bin/dirname ]; then
    . $(/usr/bin/dirname $0)/utils
elif [ -x /bin/dirname ]; then
    . $(/bin/dirname $0)/utils
else
    . $(dirname $0)/utils
fi

TARBALL=$($DATE +%Y%m%d-%H%M)-victorops.tgz
SUPPORT=support@victorops.com

echo $TAR -cz -f $TARBALL /var/log/victorops /var/spool/nagios/victorops/alerts
$TAR -cz -f $TARBALL /var/log/victorops /var/spool/nagios/victorops/alerts

if [ -e "$MUTT" ]; then
    echo
    echo "Emailing $TARBALL to support@victorops.com"
    echo $MUTT -s "Support information" -a $TARBALL -- $SUPPORT
    echo "" | $MUTT -s "Support information" -a $TARBALL -- $SUPPORT
else
    echo
    echo "Please send $TARBALL to $SUPPORT"
fi
